<?php
define('LANDING_SECRET_KEY', 'XXXXXXXXXXXXXXXXXXXXXXXXXXX'); // Your landing secret key from panel.bemob.com -> Settings -> Tracker
define('SIGNATURE_TTL', '5 minutes'); // How long signature should be valid. Valid formats are explained here: http://php.net/manual/en/datetime.formats.php
define('SIGNATURE_GET_PARAM', 'key'); // GET parameter with BeMob landing signature
define('REDIRECT_URL', 'https://www.google.com/'); // redirect url

function redirectToSafeURL(){
    header('Location: ' . REDIRECT_URL);
    exit;
}

$signature = isset($_GET[SIGNATURE_GET_PARAM]) ? rawurldecode($_GET[SIGNATURE_GET_PARAM]) : redirectToSafeURL();
if (!$signature = base64_decode($signature)) {
    redirectToSafeURL();
}
if (!$signature = json_decode($signature, true)) {
    redirectToSafeURL();
}
if (!isset($signature['timestamp']) || !isset($signature['hash'])) {
    redirectToSafeURL();
}
$signedHash = hash_hmac('sha1', $signature['timestamp'], LANDING_SECRET_KEY);
if ($signedHash !== $signature['hash'] || strtotime(SIGNATURE_TTL, $signature['timestamp']) < time()) {
    redirectToSafeURL();
}
?><!DOCTYPE html>
<html>

<head>
    <title>Landing Page</title>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
</head>
<body>

<div class="container theme-showcase" role="main">
    <div class="jumbotron">
        <h1>Landing Page</h1>
        <p>
            <a href="#" id="ctaUrl" class="btn btn-success">CTA button</a>
        </p>
    </div>
</div>

</body>
</html>